package ch.epfl.ppo.transformers;

import ch.epfl.ppo.Image;

public final class ShrinkVerticallyByTwoTransformer<T> implements Image<T> {
    private final Image<T> image;

    public ShrinkVerticallyByTwoTransformer(Image<T> image) {
        this.image = image;
    }

    @Override
    public T valueAt(double x, double y) {
        return image.valueAt(x, y * 2.0);
    }
}
